package org.linotte.frame.cahier.timbre.entite;

import org.linotte.frame.cahier.timbre.entite.e.ZoneActive;
import org.linotte.frame.cahier.timbre.ui.UsineATheme;
import org.linotte.frame.cahier.timbre.ui.i.PlancheUI;
import org.linotte.frame.cahier.timbre.ui.i.PourUI;

public class Pour extends BlocDebut {

	public Acteur acteur;

	public Acteur indexDebut;

	public Acteur indexFin;

	public Pour(PlancheUI planche) {
		super(planche);
	}

	public transient PourUI ui = UsineATheme.getPourUI(this);

	@Override
	public void pre_dessine() {
		ui.pre_dessine(planche);
	}

	@Override
	public void dessine() {
		ui.dessine(planche);
		super.dessine();
	}

	@Override
	public boolean clique(int x, int y) {
		if (ui.clique(x, y))
			return true;
		else
			return super.clique(x, y);
	}

	@Override
	public boolean contient(int x, int y) {
		boolean b = ui.contient(x, y);
		if (b) {
			return true;
		} else {
			return super.contient(x, y);
		}
	}

	@Override
	public ZoneActive accepteEtQuelleZone(Timbre timbreGraphique) {
		ZoneActive zoneActive = null;
		if (timbreGraphique instanceof Acteur) {
			zoneActive = ui.accepteZoneParametres((Acteur) timbreGraphique);
		}
		if (zoneActive == null)
			return super.accepteEtQuelleZone(timbreGraphique);
		return zoneActive;
	}

	@Override
	public Timbre clonerPourCreation() {
		Pour pour = new Pour(planche);
		BlocFin blocFinTantQue = new BlocFin(planche, pour);
		pour.timbreSuivant = blocFinTantQue;
		pour.blocfin = blocFinTantQue;
		pour.getUI().positionnerProchainTimbre();
		return pour;
	}

	@Override
	public boolean finGlisseDepose(Timbre timbreGlisse) {

		boolean actionConsommee = false;

		// On glisse pour être le suivant :

		if (zoneActive == ZoneActive.TIMBRE) {
			actionConsommee = super.finGlisseDepose(timbreGlisse);
		}

		// C'est donc un acteur !

		timbreGlisse.position = POSITION_INIT;
		timbreGlisse.glisser = false;

		if (zoneActive == ZoneActive.POUR_ACTEUR) {
			// La cible est un verbe
			acteur = (Acteur) timbreGlisse;
			timbreGlisse.x = timbreGlisse.init_x;
			timbreGlisse.y = timbreGlisse.init_y;
			actionConsommee = true;
		}
		if (zoneActive == ZoneActive.POUR_INDEX_DEBUT) {
			// La cible est un verbe
			indexDebut = (Acteur) timbreGlisse;
			timbreGlisse.x = timbreGlisse.init_x;
			timbreGlisse.y = timbreGlisse.init_y;
			actionConsommee = true;
		}
		if (zoneActive == ZoneActive.POUR_INDEX_FIN) {
			// La cible est un verbe
			indexFin = (Acteur) timbreGlisse;
			timbreGlisse.x = timbreGlisse.init_x;
			timbreGlisse.y = timbreGlisse.init_y;
			actionConsommee = true;
		}
		zoneActive = null;

		return actionConsommee;
	}

	@Override
	public PourUI getUI() {
		return ui;
	}

	// Bean

	public Pour() {
		super();
	}

	@Override
	public Timbre clonerPourDuplication() {
		Pour clone = new Pour();
		super.clonerPourDuplication(clone);
		clone.acteur = acteur;
		clone.indexDebut = indexDebut;
		clone.indexFin = indexFin;
		return clone;
	}

}
