package org.linotte.frame.cahier.timbre.entite;

import org.linotte.frame.cahier.timbre.ui.UsineATheme;
import org.linotte.frame.cahier.timbre.ui.i.PlancheUI;
import org.linotte.frame.cahier.timbre.ui.i.TantQueUI;

public class TantQue extends BlocDebut {

	public Acteur formule;

	public TantQue(PlancheUI planche) {
		super(planche);
	}

	public transient TantQueUI ui = UsineATheme.getTantQueUI(this);

	@Override
	public void pre_dessine() {
		ui.pre_dessine(planche);
	}

	@Override
	public void dessine() {
		ui.dessine(planche);
		super.dessine();
	}

	@Override
	public boolean clique(int x, int y) {
		if (ui.clique(x, y))
			return true;
		else
			return super.clique(x, y);
	}

	@Override
	public boolean contient(int x, int y) {
		boolean b = ui.contient(x, y);
		if (b) {
			return true;
		} else {
			return super.contient(x, y);
		}
	}

	@Override
	public Timbre clonerPourCreation() {
		TantQue tantque = new TantQue(planche);
		BlocFin blocFinTantQue = new BlocFin(planche, tantque);
		tantque.timbreSuivant = blocFinTantQue;
		tantque.blocfin = blocFinTantQue;
		tantque.getUI().positionnerProchainTimbre();
		return tantque;
	}

	@Override
	public TantQueUI getUI() {
		return ui;
	}

	// Bean

	public TantQue() {
		super();
	}

	@Override
	public Timbre clonerPourDuplication() {
		TantQue clone = new TantQue();
		super.clonerPourDuplication(clone);
		clone.formule = formule;
		return clone;
	}

}
