package org.linotte.frame.navinotte.protocole;

import java.io.IOException;
import java.net.URI;
import java.net.URISyntaxException;

import javax.swing.SwingUtilities;

import org.linotte.frame.navinotte.protocole.i.Protocole;

public class Ouvrir implements Protocole {

	public final static String PROTOCOLE = "ouvrir://";

	@Override
	public boolean can(String s) {
		return s.toLowerCase().startsWith(PROTOCOLE);
	}

	@Override
	public void handle(final String url) {
		SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				try {
					java.awt.Desktop.getDesktop().browse(new URI("http://" + url.substring(PROTOCOLE.length())));
				} catch (IOException e) {
					e.printStackTrace();
				} catch (URISyntaxException e) {
					e.printStackTrace();
				}
			}
		});
	}

}
